svn commit: r357689 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Sun Feb 9 08:26:37 UTC 2020


Author: pho
Date: Sun Feb  9 08:26:36 2020
New Revision: 357689
URL: https://svnweb.freebsd.org/changeset/base/357689

Log:
  Added a regression test

Added:
  user/pho/stress2/misc/swap6.sh   (contents, props changed)

Added: user/pho/stress2/misc/swap6.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/swap6.sh	Sun Feb  9 08:26:36 2020	(r357689)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+#
+# SPDX-License-Identifier: BSD-2-Clause-FreeBSD
+#
+# Copyright (c) 2020 Peter Holm
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+
+# Verify that the VM pressure generated is sufficient for stress testing.
+# Regression test for OOM fix in r357253
+
+. ../default.cfg
+
+[ `sysctl -n vm.swap_total` -eq 0 ] && exit 0
+min=5	# percent swap usage
+(cd ../testcases/swap; ./swap -t 5m -i 20 -l 100 -h > /dev/null) &
+sleep 5
+mx=0
+while pgrep -q swap; do
+	n=`swapinfo | tail -1 | sed 's/.* //; s/%//'`
+	[ $n -gt $mx ] && mx=$n
+	[ $mx -ge $min ] && pkill swap
+	sleep 2
+done
+wait
+if [ $mx -lt $min ]; then
+	echo "FAIL Only $mx% swap used"
+	exit 1
+else
+	exit 0
+fi


More information about the svn-src-user mailing list